package com.srs.dormitory.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsDormitoryCheck;
import com.srs.dormitory.domain.Dto.DmsSearch;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 查寝管理Service接口
 *
 * @author LSD
 * @date 2024-12-06
 */
public interface IDmsDormitoryCheckService extends IService<DmsDormitoryCheck> {

    public AjaxResult sendMail( Long checkId);

    public List<Map<String,Object>> listDorm(DmsSearch param);


    /**
     * 查询查寝管理
     *
     * @param checkId 查寝管理主键
     * @return 查寝管理
     */
    public DmsDormitoryCheck selectDmsDormitoryCheckByCheckId(Long checkId);

    /**
     * 查询查寝管理列表
     *
     * @param dmsDormitoryCheck 查寝管理
     * @return 查寝管理集合
     */
    List<DmsDormitoryCheck> selectDmsDormitoryCheckList(DmsDormitoryCheck dmsDormitoryCheck);

    /**
     * 新增查寝管理
     *
     * @param dmsDormitoryCheck 查寝管理
     * @return 结果
     */
    int insertDmsDormitoryCheck(DmsDormitoryCheck dmsDormitoryCheck);

    /**
     * 修改查寝管理
     *
     * @param dmsDormitoryCheck 查寝管理
     * @return 结果
     */
    int updateDmsDormitoryCheck(DmsDormitoryCheck dmsDormitoryCheck);

    /**
     * 批量删除查寝管理
     *
     * @param checkIds 需要删除的查寝管理主键集合
     * @return 结果
     */
    int deleteDmsDormitoryCheckByCheckIds(Long[] checkIds);

    /**
     * 删除查寝管理信息
     *
     * @param checkId 查寝管理主键
     * @return 结果
     */
    int deleteDmsDormitoryCheckByCheckId(Long checkId);
}
